<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>FingerPrint</title>
  </head>
  <body>
    <table style="width: 800px;">
      <tr>
        <td style="width: 50%">Original</td>
        <td>Output</td>
      </tr>
      <tr>
        <td>
          <img style="width: 100%; height: auto;" src="./IMG_0541.jpg" id="input" />
        </td>
        <td>
          <canvas id="output"></canvas>
        </td>
      </tr>
    </table>

    <script
      src="https://docs.opencv.org/4.3.0/opencv.js"
      async
      onload="onOpenCvReady();"
      type="text/javascript"
    ></script>
    <script src="/detect.js"></script>

    <script>
      function onOpenCvReady() {
        cv["onRuntimeInitialized"] = () => {
          console.log("cv is ready");
          console.log(cv.getBuildInformation());

          const input = cv.imread(document.querySelector('#input'));

          const inputImage = document.querySelector('#input');

          const inputCanvas = document.createElement('canvas');
          const inputRect = inputImage.getBoundingClientRect();
          inputCanvas.width = inputRect.width;
          inputCanvas.height = inputRect.height;

          const inputCanvasContext = inputCanvas.getContext('2d');

          const inputEl = document.querySelector("#input");


          window.inputData = input;

          const output = detectFingerPrint(input);

          cv.imshow("output", output);
        };
      }
    </script>
  </body>
</html>
